/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 */

package com.liferay.dynamic.data.mapping.web.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Lino Alves
 */
@ExtendedObjectClassDefinition(category = "dynamic-data-mapping")
@Meta.OCD(
	id = "com.liferay.dynamic.data.mapping.web.internal.configuration.DDMWebConfiguration",
	localization = "content/Language", name = "ddmweb-configuration-name"
)
public interface DDMWebConfiguration {

	/**
	 * Returns <code>true</code> if dynamic data mapping structure keys should
	 * always be autogenerated.
	 *
	 * @return <code>true</code> if dynamic data mapping structure keys should
	 *         always be autogenerated; <code>false</code> otherwise
	 */
	@Meta.AD(
		deflt = "true", description = "autogenerate-structure-key-description",
		name = "autogenerate-structure-key", required = false
	)
	public boolean autogenerateStructureKey();

	/**
	 * Returns <code>true</code> if dynamic data mapping template keys should
	 * always be autogenerated.
	 *
	 * @return <code>true</code> if dynamic data mapping template keys should
	 *         always be autogenerated; <code>false</code> otherwise
	 */
	@Meta.AD(
		deflt = "true", description = "autogenerate-template-key-description",
		name = "autogenerate-template-key", required = false
	)
	public boolean autogenerateTemplateKey();

	@Meta.AD(
		deflt = "false",
		description = "changeable-default-language-description",
		name = "changeable-default-language", required = false
	)
	public boolean changeableDefaultLanguage();

	@Meta.AD(
		deflt = "true", description = "enable-template-creation-description",
		name = "enable-template-creation", required = false
	)
	public boolean enableTemplateCreation();

}